Subject: Re: bug#49264: 28.0.50; project.el+tramp performance issue

From: Eli Zaretskii <[email-masked]>
Date: Wed, 30 Jun 2021 16:35:41 +0300

> Date: Thu, 01 Jul 2021 01:25:07 +1200
> From: Phil Sainty <[email-masked]>
> Cc: Ergus <[email-masked]>, [email-masked]
> 
> > AFAIR, that's not really true, and ISTR project.el aims to support the
> > use cases with several different VC backends.
> 
> It's probably worth considering that while one *can* have multiple VC
> backends active in a single directory, it's *extremely* common not to.

I think Dmitry once told me this isn't so, but maybe I'm dreaming.

> If there was a user option which effectively opted out of the multiple-
> backend support in favour of performance-oriented assumptions

You mean, ask the user to specify the backend for a project?  That
could work, I think.

But again, Jimmy's use case was unbearably slow even with a single VC
backend.